Subject: Re: [Softwires] More changes to revision 03.

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Mon, 30 Jan 2012 16:26:04 -0600

> C2. The sharing ratio sounds a calculated result, not a ‘given’ condition;

I would very much favor having a sharing ratio as a 'given' variable, instead of a calculated result (and instead of EA-bit length, if needed be) since it is easier to understand, explain and work it out.

In fact, most of the examples included in the document show the sharing-ratio being used as a given variable, so we just need to update the rules.
	
Cheers,
Rajiv

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Leaf yeh
> Sent: Monday, January 30, 2012 6:38 AM
> To: Ole Trøan
> Cc: softwires WG; [email-masked] team; [email-masked]
> Subject: Re: [Softwires] More changes to revision 03.
> 
> Ole - what's the difference?
> 
> 
> 
> I suggested the following text for the readable .
> 
> 
> 
> Given:
> 
>     End-user IPv6 prefix:   2001:db8:0012:34::/56
> 
>     Basic Mapping Rule:    {2001:db8:00::/40 (Rule IPv6 prefix),
> 
>                         192.0.2.0/24 (Rule IPv4 prefix),
> 
>                         16 (Rule EA-bits length)}
> 
>     PSID offset:           4  (default value as per section 5.1.3)
> 
> 
> 
> We get the IPv4 address, its sharing ratio and port-set:
> 
> 
> 
>     EA bits offset:       40
> 
>     IPv4 suffix bits (p):    Length of IPv4 address (32) - IPv4 prefix length (24) = 8
> 
>     IPv4 address:        192.0.2.18 (0x12)
> 
> 
> 
> 　　Sharing ratio:         256 (16 - (32 - 24) = 8. 2^8 = 256)
> 
> 
> 
> 
> 
> Cheers,
> 
> Leaf
> 
> 
> 
> 
> 
> -----Original Message-----
> 
> From: Ole Trøan [mailto:[email-masked]]
> 
> Sent: Monday, January 30, 2012 6:16 PM
> 
> To: Leaf yeh
> 
> Cc: [email-masked]; [email-masked] team
> 
> Subject: Re: More changes to revision 03.
> 
> 
> 
> Leaf,
> 
> 
> 
> > Again C&Qs on the examples in the newly updated candidate of MAP-03:
> 
> >
> 
> > A.     Section 5.2 - Given:
> 
> >    End-user IPv6 prefix:  2001:db8:0012:34::/56
> 
> >    Basic Mapping Rule:    {2001:db8:00::/40 (Rule IPv6 prefix),
> 
> >                           192.0.2.0/24 (Rule IPv4 prefix),
> 
> >                           16 (Rule EA-bits length)}
> 
> >    Sharing ratio:         256 (16 - (32 - 24) = 8. 2^8 = 256)
> 
> >    PSID offset:           4
> 
> >
> 
> >   We get IPv4 address and port-set:
> 
> >    EA bits offset:       40
> 
> >    IPv4 suffix bits (p): Length of IPv4 address (32) -
> 
> >                          IPv4 prefix length (24) = 8
> 
> > ….
> 
> >
> 
> > C1. The ‘End-user IPv6 prefix’ shall be express as ‘2001:db8:0012:3400::/56’
> as per the section 2.3 of RFC4291;
> 
> 
> 
> fixed.
> 
> 
> 
> > C2. The sharing ratio sounds a calculated result, not a ‘given’ condition;
> 
> 
> 
> what's the difference?
> 
> 
> 
> 
> 
> >
> 
> > B.     Section 5.3 - Given:
> 
> >       IPv4 destination address: 192.0.2.18
> 
> >       IPv4 destination port:    9030
> 
> >       Forwarding Mapping Rule:  {2001:db8:00::/40 (Rule IPv6 prefix),
> 
> >                                  192.0.2.0/24 (Rule IPv4 prefix),
> 
> >                                  16 (Rule EA-bits length)}
> 
> >
> 
> >     We get IPv6 address:
> 
> >       IPv4 suffix bits (p): 32 - 24 = 8 (18 (0x12))
> 
> >       PSID length:          8
> 
> >       PSID:                 0x34 (9030 (0x2346))
> 
> >       EA bits:              0x1234
> 
> >       MAP IPv6 address:     2001:db8:0012:3400:00c0:0002:1200:3400
> 
> >
> 
> > C3. I suppose the default ‘PSID offset: 4’ seems need to express in the ‘given’
> conditions;
> 
> 
> 
> OK
> 
> 
> 
> > Q1. Have the draft stated the ‘u’ bits in the Interface-ID should be 0x00?
> 
> 
> 
> it states that it is based on 6052. I think that should be sufficient.
> 
> 
> 
> cheers,
> 
> Ole
> 
> 
> 
>

---

From: Leaf yeh <[email-masked]>
Date: Wed, 01 Feb 2012 01:36:06 +0000

Rajiv - I would very much favor having a sharing ratio as a 'given' variable.

Though Rajiv prefers 'sharing ratio' to 'EA-bit length', which is a little different from the text of section 5,

I'd also like the draft could define an explicit format for the expression of the MAP rules including BMR, FMR & DMR.

BTW, more questions on the example of DMR in section 5.4,

<Quote> - {2001:db8:0001:0000:&lt;interface-id>:/128 (Rule IPv6 prefix),
0.0.0.0/0 (Rule IPv4 prefix),
192.0.2.1 (BR IPv4 address)}

Q1.  What does ‘&lt’ mean here?
Q2.  Does ‘interface-id>:/128’ sound a prefix here?
Q3.  Is the BR IPv4 address (192.0.2.1) necessary here? There seems no IPv4 address in the BMR & FMR, but they also work well for the MAP forwarding function.

Best Regards,
Leaf

-----Original Message-----
From: Rajiv Asati (rajiva) [mailto:[email-masked]] 
Sent: Tuesday, January 31, 2012 6:26 AM
To: Leaf yeh; Ole Trøan
Cc: softwires WG; [email-masked]; [email-masked]
Subject: RE: [Softwires] More changes to revision 03.

         
Cheers,
Rajiv